#include <iostream>
#include <cmath>
using namespace std;
int main(){
	
	int x1,x2,y1,y2,p;
	cin>>x1>>y1>>x2>>y2;
	if((x1==x2)||(y1==y2))
	p=2;
	else if(abs(x1-x2)==abs(y1-y2))
	p=1;
	else
	p=0;
	
	cout<<p;
	
	return 0;
}